svn commit: r443788 - svnadmin/hooks/scripts

Bryan Drewery bdrewery at FreeBSD.org
Sat Jun 17 22:14:24 UTC 2017


Author: bdrewery
Date: Sat Jun 17 22:14:22 2017
New Revision: 443788
URL: https://svnweb.freebsd.org/changeset/ports/443788

Log:
  Don't allow portmgr overrides for py3 slaves

Modified:
  svnadmin/hooks/scripts/detect-filename.sh

Modified: svnadmin/hooks/scripts/detect-filename.sh
==============================================================================
--- svnadmin/hooks/scripts/detect-filename.sh	Sat Jun 17 21:49:22 2017	(r443787)
+++ svnadmin/hooks/scripts/detect-filename.sh	Sat Jun 17 22:14:22 2017	(r443788)
@@ -13,6 +13,17 @@ if [ -z "$REPO" -o -z "$TXN" ]; then
   exit 1
 fi
 
+# Look for new py3 ports
+if $SVNLOOK changed -t "$TXN" "$REPO" | grep -q -E '^A.*/py3'; then
+  echo "Please do not add new py3 slave ports at this time.  FLAVORS" >&2
+  echo "support is coming soon which will remove the need for these kind of" >&2
+  echo "slave ports.  Having new ones come in slows down development for" >&2
+  echo "FLAVORS support." >&2
+  echo "It also confuses users if a new slave is added and then is" >&2
+  echo "suddenly gone in a few weeks due to FLAVORS replacing it." >&2
+  exit 1
+fi
+
 # Approved by portmgr gets a free pass
 $SVNLOOK log -t "$TXN" "$REPO" | grep -q 'portmgr' && exit 0
 
@@ -24,17 +35,6 @@ if $SVNLOOK changed -t "$TXN" "$REPO" | grep -q -E '^A
   echo "For further information please read:" >&2
   echo "http://www.freebsd.org/doc/en/books/porters-handbook/slow-patch.html" >&2
   echo "Please fix this and try committing again." >&2
-  exit 1
-fi
-
-# Look for new py3 ports
-if $SVNLOOK changed -t "$TXN" "$REPO" | grep -q -E '^A.*/py3'; then
-  echo "Please do not add new py3 slave ports at this time.  FLAVORS" >&2
-  echo "support is coming soon which will remove the need for these kind of" >&2
-  echo "slave ports.  Having new ones come in slows down development for" >&2
-  echo "FLAVORS support." >&2
-  echo "It also confuses users if a new slave is added and then is" >&2
-  echo "suddenly gone in a few weeks due to FLAVORS replacing it." >&2
   exit 1
 fi
 


More information about the svn-ports-svnadmin mailing list